Skip to main content
PATCH
Update a vulnerability of a project

Path Parameters

projectId
string<uuid>
required
vulnerabilityId
string<uuid>
required

Body

application/json
status
enum<string>

Status of the vulnerability

Available options:
to_verify,
resolved,
confirmed,
ignored
priority
enum<string>

Priority level

Available options:
critical_urgent,
urgent,
normal,
low,
very_low
comment
string

Comment about the vulnerability (max 512 chars)

Maximum string length: 512
userId
string<uuid>

User unique identifier that updates the vulnerability

Response

Updated vulnerability

projectId
string<uuid>
required

Project unique identifier

vulnerabilityId
string<uuid>
required

Vulnerability unique identifier

vulnerability
required

Vulnerability object with a discriminator for SAST, IAC, or SCA